#!/bin/sh
SCRIPTS_PATH=$1

ENVIRONMENT_BASE_URI=$2

APIKEY_NORG_0=$3
APIKEY_NORG_1=$4
APIKEY_NORG_20=$5
APIKEY_NORG_53=$6
FILESERVER_BASE_URL=$7

echo 'Update environment.xml --------------------------------------------------'

$SCRIPTS_PATH/replace.sh "<>ENVIRONMENT_BASE_URI<>"  "$ENVIRONMENT_BASE_URI"    "environment.xml"
$SCRIPTS_PATH/replace.sh "<>PARAM_BASE_URI<>"        "$ENVIRONMENT_BASE_URI"    "environment.xml"

echo 'Update parameters.xml --------------------------------------------------'
$SCRIPTS_PATH/replace.sh "<>NRORG_0_API_KEY<>"          "$APIKEY_NORG_0"            "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_1_API_KEY<>"          "$APIKEY_NORG_1"            "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_20_API_KEY<>"         "$APIKEY_NORG_20"           "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_53_API_KEY<>"         "$APIKEY_NORG_53"           "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>FILESERVER_BASE_URL<>"      "$FILESERVER_BASE_URL"      "parameters.xml"
